HTTP APIAPI
List sessions
Lists sessions belonging to the caller's tenant in ascending ID order. Pass the last session ID as after to fetch the next page.
GET
/sessionsAuthorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
after?string
Last session ID from the previous page.
limit?integer
Maximum number of items to return (JSON mode).
Range
1 <= value <= 1000Default
100Response Body
application/json
application/json
curl -X GET "https://example.com/sessions" \ -H "Authorization: Bearer YOUR_TOKEN"{ "sessions": [ { "checkpoint": { "id": "string", "offset": 0, "time": "2019-08-24T14:15:22Z" }, "config": { "bindings": [ { "alias": "string", "executor": "string", "operations": [ "string" ], "parameters": null, "provider": "string", "runtime": [ { "description": "string", "input_schema": null, "name": "string", "output_schema": null } ] } ], "instructions": "string", "model": "string", "reasoning_effort": "string", "tools": [ "string" ] }, "created_at": "2019-08-24T14:15:22Z", "credential_bindings": [ "string" ], "descriptors": [ { "description": "string", "input_schema": null, "name": "string", "output_schema": null } ], "harness": "string", "id": "string", "status": "string", "updated_at": "2019-08-24T14:15:22Z" } ]}API
Sessions, messages, events and integration endpoints.
Create a session POST
Creates a session for the caller's tenant with the given harness, model, instructions, reasoning effort, and tools. Requires a management token. Creating a session records its metadata locally; the harness process starts when the first message is sent.